Topic: Issues on Fedora 29 with default php upgraded to remi-repo

I noticed today what is the cause of my issues. I have already a bug open
https://bugzilla.redhat.com/show_bug.cgi?id=1676842

With remi-repo enabled default php is upgraded from php-7.2.15-1.fc29 to php-7.2.15-1.fc29.remi.x86_64.

On httpd reload I have this error + core dump.

[Mon Feb 18 09:46:04.095416 2019] [mpm_event:notice] [pid 34094:tid 140142004291840] AH00493: SIGUSR1 received.  Doing graceful restart
[Mon Feb 18 09:46:05.793859 2019] [http2:info] [pid 34094:tid 140142004291840] AH03090: mod_http2 (v1.11.1-git, feats=CHPRIO+SHA256+INVHD+DWINS, nghttp2 1.34.0), initializing...
[Mon Feb 18 09:46:06.189158 2019] [mpm_event:notice] [pid 34094:tid 140142004291840] AH00489: Apache/2.4.38 (Fedora) OpenSSL/1.1.1a PHP/7.2.15 mod_perl/2.0.10 Perl/v5.28.1 configured -- resuming normal opera
[Mon Feb 18 09:46:06.189188 2019] [core:notice] [pid 34094:tid 140142004291840] AH00094: Command line: '/usr/sbin/httpd -D FOREGROUND'
[Mon Feb 18 09:46:06.189270 2019] [core:notice] [pid 34094:tid 140142004291840] AH00051: child pid 38104 exit signal Segmentation fault (11), possible coredump in /etc/httpd
[Mon Feb 18 09:46:06.189289 2019] [cgid:error] [pid 34094:tid 140142004291840] AH01239: cgid daemon process died, restarting


Downgrading back to default php will make the error + core dump disappear.
Can you please take a look? I thought that 7.2 version from Fedora repo is similar to remi-repo, but it seems there are some differences.

Re: Issues on Fedora 29 with default php upgraded to remi-repo

There is no difference in build from my repository (only some additional extension such as oci8), and BTW I cannot reproduce.

I don't think PHP may raise segfault in HTTPD, as there are 2 separated processes

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Issues on Fedora 29 with default php upgraded to remi-repo

OK, I think I understand...

    LoadModule php7_module modules/libphp7-zts.so

This line should not be there... (or commented out, as in Fedora)

Will remove it on next build

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Issues on Fedora 29 with default php upgraded to remi-repo

I recommend you simplu "dnf remove php"

You don't need this void package (unneeded as fpm is now used by default)

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Issues on Fedora 29 with default php upgraded to remi-repo

Indeed, php7_module was still enabled by default in
/etc/httpd/conf.modules.d/15-php.conf

I have commented out all lines and I no longer have the error after upgrade to php-7.2.15-1.fc29.remi.x86_64.
Btw, I need server version for testing purposes, because for users I have php72, php73.
I will update the bug report, because I think default server file 15-php.conf must be updated to avoid situations like this.
Thank you!

Re: Issues on Fedora 29 with default php upgraded to remi-repo

> I will update the bug report, because I think default server file 15-php.conf must be updated to avoid situations like this.

It is, see

https://src.fedoraproject.org/rpms/php/ … ztsmodconf

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Issues on Fedora 29 with default php upgraded to remi-repo

Fixed in my repo (will be in 7.2.16RC1 and 7.3.3RC1 in a few days)

https://git.remirepo.net/cgit/rpms/php/ … 5cd43f1efa
https://git.remirepo.net/cgit/rpms/php/ … 9a811910b7
https://git.remirepo.net/cgit/rpms/php/ … a2737c20b0

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Issues on Fedora 29 with default php upgraded to remi-repo

Hmm, maybe I have changed 15-php.conf file some time ago and all updates have been renamed to 15-php.conf.rpmsave then deleted by me without checking.
I missed this, because I don't use mod_php for years, but never had errors till the recent update.